<div class="container-fluid">
    <!-- DataTales Example --> 
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">Lista de Asignaturas</h6>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Descripción</th>
                            <th>Observación</th>
                            <th>Cant. Créditos</th>
                            <th>Acción</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>ID</th>
                            <th>Descripción</th>
                            <th>Observación</th>
                            <th>Cant. Créditos</th>
                            <th>Acción</th>
                        </tr>
                    </tfoot>
                    <tbody>
                        <tr *ngFor=" let asign of _asignaturas ">
                            <td>{{ asign.id }}</td>
                            <td>{{ asign.descripcion }}</td>
                            <td>{{ asign.observacion }}</td>
                            <th>{{ asign.creditos }}</th>
                            <td style=" text-align: center;"><a href="javascript:void(0)" class="btn btn-danger btn-circle btn-sm" (click)="OnEliminar(asign.id)">
                              <i class="fas fa-trash"></i>
                            </a></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>